xine-lib: xine-lib-1.2.12/src/input/mms.h File Reference

xine-lib 1.2.12

Typedefs | Functions
mms.h File Reference
`#include <inttypes.h>`
`#include <xine/xine_internal.h>`

Go to the source code of this file.

## Typedefs
typedef struct mms_s | mms_t

## Functions
char * | mms_connect_common (int *s, int *port, char *url, char **host, char **path, char **file)
mms_t * | mms_connect (xine_stream_t *stream, const char *url_, int bandwidth)
int | mms_read (mms_t *this, char *data, int len)
uint32_t | mms_get_length (mms_t *this)
void | mms_close (mms_t *this)
size_t | mms_peek_header (mms_t *this, char *data, size_t maxsize)
off_t | mms_get_current_pos (mms_t *this)
void | mms_set_start_time (mms_t *this, int time_offset)

## Typedef Documentation

## ◆ mms_t

typedef struct mms_s mms_t

## Function Documentation

## ◆ mms_close()

void mms_close | ( | mms_t * | this | ) |

References _x_io_tcp_close(), _x_url_cleanup(), and asf_header_delete().

Referenced by mms_plugin_dispose().

## ◆ mms_connect()

mms_t * mms_connect | ( | xine_stream_t * | stream,
|  | const char * | url_,
|  | int | bandwidth
| ) |  |

References _x_io_tcp_close(), _x_mrl_unescape(), _x_url_cleanup(), _x_url_parse2(), ASF_HEADER_PACKET_ID_TYPE, ASF_MEDIA_PACKET_ID_TYPE, CMD_HEADER_LEN, CMD_PREFIX_LEN, get_answer(), get_asf_header(), ICONV_CONST, interp_asf_header(), lprintf, mms_buffer_init(), mms_buffer_put_32(), mms_buffer_put_8(), mms_choose_best_streams(), mms_gen_guid(), mms_tcp_connect(), mmst_valid_proto(), NULL, mms_buffer_s::pos, report_progress(), send_command(), string_utf16(), xine_stream_s::xine, XINE_VERBOSITY_LOG, and xprintf.

Referenced by mms_plugin_open().

## ◆ mms_connect_common()

char * mms_connect_common | ( | int * | s,
|  | int * | port,
|  | char * | url,
|  | char ** | host,
|  | char ** | path,
|  | char ** | file
| ) |  |

## ◆ mms_get_current_pos()

off_t mms_get_current_pos | ( | mms_t * | this | ) |

Referenced by mms_plugin_get_current_pos(), mms_plugin_seek(), and mms_plugin_seek_time().

## ◆ mms_get_length()

uint32_t mms_get_length | ( | mms_t * | this | ) |

Referenced by mms_plugin_get_length().

## ◆ mms_peek_header()

size_t mms_peek_header | ( | mms_t * | this,
|  | char * | data,
|  | size_t | maxsize
| ) |  |

Referenced by mms_plugin_get_optional_data().

## ◆ mms_read()

int mms_read | ( | mms_t * | this,
|  | char * | data,
|  | int | len
| ) |  |

References ASF_MEDIA_PACKET_ID_TYPE, D2Q, get_media_packet(), mms_buffer_init(), mms_buffer_put_32(), mms_buffer_put_64(), mms_buffer_put_8(), mms_buffer_s::pos, send_command(), xine_fast_memcpy, XINE_VERBOSITY_LOG, and xprintf.

Referenced by mms_plugin_read().

## ◆ mms_set_start_time()

void mms_set_start_time | ( | mms_t * | this,
|  | int | time_offset
| ) |  |

Referenced by mms_plugin_seek_time().